# API · Edit group

> Edit group: POST /api/v1/collect/edit/group.

- kind: api-operation
- status: stable
- api_version: v1
- last_verified: 2026-10-20
- url: https://tilopay.com/en/developers/api/cobros-tarjetas-guardadas/edit-group

```http
POST /api/v1/collect/edit/group
```

## What it does [#que-hace]

Edit group.

## Authentication [#autenticacion]

Host: `https://app.tilopay.com`. Requires the API bearer token in `Authorization: Bearer <token>` and the integration key in the body (`key`).

[Get the API token](/en/developers/api/autenticacion/token-api).

## Parameters [#parametros]

<Param id="edit-group-parametro-key" name="key" type="string" required>
Integration key.
</Param>

<Param id="edit-group-parametro-groupid" name="groupid" type="integer" required>
Group ID.
</Param>

<Param id="edit-group-parametro-amount" name="amount" type="string">
Group default amount.
</Param>

<Param id="edit-group-parametro-name" name="name" type="string">
Group name.
</Param>

## Request example [#ejemplo-request]

`<api_key>` is the placeholder for your integration key.

```json
{
  "key": "<api_key>",
  "groupid": 1,
  "amount": "800.00",
  "name": "Grupo Name"
}
```

## Response [#respuesta]

update returns success.

<Param id="edit-group-respuesta-type" name="type" type="unknown">
`type`.
</Param>

<Param id="edit-group-respuesta-errors" name="errors" type="unknown">
`errors`.
</Param>

<Param id="edit-group-respuesta-update" name="update" type="string">
`update`.
</Param>

```json
{
  "type": "200",
  "errors": "",
  "update": "success"
}
```

```schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string"
    },
    "errors": {
      "type": "string"
    },
    "update": {
      "type": "string",
      "const": "success"
    }
  }
}
```
